<?php


/** 
 * Paths for Chimera Framework and theme related functions
 */

$chimera_path = TEMPLATEPATH . '/chimera/';
$chimera_admin_path = $chimera_path . 'admin/';
$chimera_theme_path = $chimera_path . 'theme/';

/* For Update Check done by Arun */
require('chimera-update-notifier.php');

/**
 * Include Chimera Framework
 */
require_once($chimera_admin_path . 'languages.php');
require_once($chimera_admin_path . 'framework_options.php');
require_once($chimera_admin_path . 'setup.php');
require_once($chimera_admin_path . 'pages-functions.php');
require_once($chimera_admin_path . 'posts-functions.php');
require_once($chimera_admin_path . 'categories-functions.php');
require_once($chimera_admin_path . 'sidebar-functions.php');
require_once($chimera_admin_path . 'meta_boxes.php');
require_once($chimera_admin_path . 'sidebar_generator.php');
require_once($chimera_admin_path . 'shortcodes.php');
require_once($chimera_admin_path . 'widgets.php');
require_once($chimera_admin_path . 'breadcrumb.php');
require_once($chimera_admin_path . 'page_navi.php');
require_once($chimera_admin_path . 'functions.php');
require_once($chimera_admin_path . 'interface.php');
require_once($chimera_admin_path . 'comments-functions.php');
require_once($chimera_admin_path . 'tinymce/tinymce.php');

/**
 * Include theme related functions
 */
require_once($chimera_theme_path . 'options.php');
require_once($chimera_theme_path . 'meta_boxes.php');
require_once($chimera_theme_path . 'sidebars.php');
require_once($chimera_theme_path . 'filters.php');
require_once($chimera_theme_path . 'head_meta.php');

/**
 * Load functions
 */
add_action('admin_menu', 'chimera_admin_menu');
add_action('admin_head', 'chimera_admin_head');

//////////////////////////////////////////////////////////////////
//// function to display tweets with api 1.1 for widget
//////////////////////////////////////////////////////////////////

if( !function_exists('wp_dez_get_twitter_timeline') ):
function wp_dez_get_twitter_timeline (
		$twitter_id,
		$max_tweets,
		$consumer_key,
		$consumer_secret,
		$user_token,
		$user_secret
) {

	$transient_name = 'new_twitter_cache_' . strtolower($twitter_id);
	$twitter_cache = get_transient($transient_name);

	require_once( get_template_directory() . '/twitter/tmhOAuth.php' );

	$tmhOAuth = new tmhOAuth(array(
			'consumer_key' => $consumer_key, //Add your Twitter Consumer Key here
			'consumer_secret' => $consumer_secret, //Add your Twitter Consumer Secret here
			'user_token' => $user_token, //Add your Twitter User Token here
			'user_secret' => $user_secret //Add your Twitter User Secret here
	));

	$twitter_data = $tmhOAuth->request('GET', $tmhOAuth->url('1.1/statuses/user_timeline'), array(
			'screen_name' => $twitter_id,
			'count' => $max_tweets,
			'include_rts' => true,
			'include_entities' => true
	));

	//this will store in transient
	$data  = $tmhOAuth->response['response'];
	$twitter_array = json_decode($data, true);

	if( !$twitter_cache ) {
		set_transient($transient_name, $twitter_array, 60 * 60); // 1 hour cache
	}
	//print_r( $twitter_cache );

	/*== uncomment this and refresh to delete transient ==*/
	//delete_transient($transient_name);

	if($twitter_cache):
	foreach ( $twitter_cache as $tweet ) {
		$twitter = '';

		$pubDate        = $tweet['created_at'];
		$tweet_text          = $tweet['text'];
		$tweet_permalink  = $tweet['id_str'];

		$today          = time();
		$time           = substr($pubDate, 11, 5);
		$day            = substr($pubDate, 0, 3);
		$date           = substr($pubDate, 7, 4);
		$month          = substr($pubDate, 4, 3);
		$year           = substr($pubDate, 25, 5);
		$english_suffix = date('jS', strtotime(preg_replace('/\s+/', ' ', $pubDate)));
		$full_month     = date('F', strtotime($pubDate));


		#pre-defined tags
		$default   = $full_month . $date . $year;
		$full_date = $day . $date . $month . $year;
		$ddmmyy    = $date . $month . $year;
		$mmyy      = $month . $year;
		$mmddyy    = $month . $date . $year;
		$ddmm      = $date . $month;

		#Time difference
		$timeDiff = dateDiff($today, $pubDate, 1);

		# Turn URLs into links
		$tweet_text = preg_replace('@(https?://([-\w\.]+)+(:\d+)?(/([\w/_\./-]*(\?\S+)?)?)?)@', '<a target="blank" title="$1" href="$1">$1</a>', $tweet_text);

		#Turn hashtags into links
		$tweet_text = preg_replace('/#([0-9a-zA-Z_-]+)/', "<a target='blank' title='$1' href=\"http://twitter.com/search?q=%23$1\">#$1</a>",  $tweet_text);

		#Turn @replies into links
		$tweet_text = preg_replace("/@([0-9a-zA-Z_-]+)/", "<a target='blank' title='$1' href=\"http://twitter.com/$1\">@$1</a>",  $tweet_text);


		$twitter .= "<li><span class='twittext'>" . $tweet_text . "</span>";


		$when  = '';

		$twitter .= '<span class="twittime"><i class="icon-twitter"></i><a target="_blank" class="time" href="https://twitter.com/'. $twitter_id . '/status/'. $tweet_permalink . '">';


		$twitter .= $timeDiff . "&nbsp;ago";

		$twitter .= "</a></span></li>"; //end of List

		echo $twitter;

	} //end of foreach
	endif;

}
endif;

//////////////////////////////////////////////////////////////////
//// function to display tweets with api 1.1 for sc
//////////////////////////////////////////////////////////////////

if( !function_exists('wp_dez_get_twitter_timeline_sc') ):
function wp_dez_get_twitter_timeline_sc (
		$twitter_id,
		$max_tweets,
		$consumer_key,
		$consumer_secret,
		$user_token,
		$user_secret
) {

	$transient_name = 'new_twitter_cache_sc_' . strtolower($twitter_id);
	$twitter_cache = get_transient($transient_name);

	require_once( get_template_directory() . '/twitter/tmhOAuth.php' );

	$tmhOAuth = new tmhOAuth(array(
			'consumer_key' => $consumer_key, //Add your Twitter Consumer Key here
			'consumer_secret' => $consumer_secret, //Add your Twitter Consumer Secret here
			'user_token' => $user_token, //Add your Twitter User Token here
			'user_secret' => $user_secret //Add your Twitter User Secret here
	));

	$twitter_data = $tmhOAuth->request('GET', $tmhOAuth->url('1.1/statuses/user_timeline'), array(
			'screen_name' => $twitter_id,
			'count' => $max_tweets,
			'include_rts' => true,
			'include_entities' => true
	));

	//this will store in transient
	$data  = $tmhOAuth->response['response'];
	$twitter_array = json_decode($data, true);

	if( !$twitter_cache ) {
		set_transient($transient_name, $twitter_array, 60 * 60); // 1 hour cache
	}
	//print_r( $twitter_cache );

	/*== uncomment this and refresh to delete transient ==*/
	//delete_transient($transient_name);

	if($twitter_cache):
	foreach ( $twitter_cache as $tweet ) {
		$twitter = '';

		$pubDate        = $tweet['created_at'];
		$tweet_text          = $tweet['text'];
		$tweet_permalink  = $tweet['id_str'];

		$today          = time();
		$time           = substr($pubDate, 11, 5);
		$day            = substr($pubDate, 0, 3);
		$date           = substr($pubDate, 7, 4);
		$month          = substr($pubDate, 4, 3);
		$year           = substr($pubDate, 25, 5);
		$english_suffix = date('jS', strtotime(preg_replace('/\s+/', ' ', $pubDate)));
		$full_month     = date('F', strtotime($pubDate));


		#pre-defined tags
		$default   = $full_month . $date . $year;
		$full_date = $day . $date . $month . $year;
		$ddmmyy    = $date . $month . $year;
		$mmyy      = $month . $year;
		$mmddyy    = $month . $date . $year;
		$ddmm      = $date . $month;

		#Time difference
		$timeDiff = dateDiff($today, $pubDate, 1);

		# Turn URLs into links
		$tweet_text = preg_replace('@(https?://([-\w\.]+)+(:\d+)?(/([\w/_\./-]*(\?\S+)?)?)?)@', '<a target="blank" title="$1" href="$1">$1</a>', $tweet_text);

		#Turn hashtags into links
		$tweet_text = preg_replace('/#([0-9a-zA-Z_-]+)/', "<a target='blank' title='$1' href=\"http://twitter.com/search?q=%23$1\">#$1</a>",  $tweet_text);

		#Turn @replies into links
		$tweet_text = preg_replace("/@([0-9a-zA-Z_-]+)/", "<a target='blank' title='$1' href=\"http://twitter.com/$1\">@$1</a>",  $tweet_text);


		$twitter .= "<li><span class='twittext'>" . $tweet_text . "</span>";


		$when  = '';

		$twitter .= '<span class="twittime"><i class="icon-twitter"></i><a target="_blank" class="time" href="https://twitter.com/'. $twitter_id . '/status/'. $tweet_permalink . '">';


		$twitter .= $timeDiff . "&nbsp;ago";

		$twitter .= "</a></span></li>"; //end of List

		echo $twitter;

	} //end of foreach
	endif;

}
endif;

//////////////////////////////////////////////////////////////////
//// function for counting date
//////////////////////////////////////////////////////////////////
if( !function_exists('dateDiff') ):
function dateDiff($time1, $time2, $precision = 6) {
	if (!is_int($time1)) {
		$time1 = strtotime($time1);
	}
	if (!is_int($time2)) {
		$time2 = strtotime($time2);
	}
	if ($time1 > $time2) {
		$ttime = $time1;
		$time1 = $time2;
		$time2 = $ttime;
	}
	$intervals = array(
			'year',
			'month',
			'day',
			'hour',
			'minute',
			'second'
	);
	$diffs     = array();
	foreach ($intervals as $interval) {
		$diffs[$interval] = 0;
		$ttime            = strtotime("+1 " . $interval, $time1);
		while ($time2 >= $ttime) {
			$time1 = $ttime;
			$diffs[$interval]++;
			$ttime = strtotime("+1 " . $interval, $time1);
		}
	}
	$count = 0;
	$times = array();
	foreach ($diffs as $interval => $value) {
		if ($count >= $precision) {
			break;
		}
		if ($value > 0) {
			if ($value != 1) {
				$interval .= "s";
			}
			$times[] = $value . " " . $interval;
			$count++;
		}
	}
	return implode(", ", $times);
}
endif;


/**
 * Page navi
 */
update_option('pagenavi_options', array(
       'pages_text' => __('Page %CURRENT_PAGE% of %TOTAL_PAGES%','wp-pagenavi'),
       'current_text' => '%PAGE_NUMBER%',
       'page_text' => '%PAGE_NUMBER%',
               'dotright_text' => __('...','wp-pagenavi'),
       'dotleft_text' => __('...','wp-pagenavi'),
       'style' => 1,
       'num_pages' => 5,
       'always_show' => 0,
       'num_larger_page_numbers' => 3,
       'larger_page_numbers_multiple' => 10,
       'use_pagenavi_css' => 1,
   ));